Boxes.py

self-Logo

DividerTray

Divider tray - rows and dividers

Settings for Finger Joints

angle
style

style of the fingers

surroundingspaces

minimal space at the start and end in multiple of normal spaces

edge_width

space below holes of FingerHoleEdge (multiples of thickness)

extra_length

extra material to grind away burn marks (multiples of thickness)

finger

width of the fingers (multiples of thickness)

play

extra space to allow finger move in and out (multiples of thickness)

space

space between fingers (multiples of thickness)

width

width of finger holes (multiples of thickness)

Settings for Divider Slots

angle

angle at which slots are generated, in degrees. 0° is vertical.

depth

depth of the slot in mm

extra_slack

extra slack (in addition to thickness and kerf) to help insert dividers in mm

radius

radius of the slot entrance in mm

Settings for Notches on the Dividers

depth
lower_radius
upper_radius

Settings for Dividers

bottom_margin

margin between box's bottom and divider's in mm

play

play to avoid them clamping onto the walls (in multiples of thickness)

DividerTray Settings

sx

sections left to right in mm πŸ›ˆ

sy

sections back to front in mm πŸ›ˆ

h

inner height in mm (unless outside selected)

outside

treat sizes as outside measurements πŸ›ˆ

notches_in_wall

generate the same notches on the walls that are on the dividers

left_wall

generate wall on the left side

right_wall

generate wall on the right side

bottom

generate wall on the bottom

Default Settings

thickness

thickness of the material (in mm) πŸ›ˆ

format

format of resulting file πŸ›ˆ

tabs

width of tabs holding the parts in place (in mm)(not supported everywhere) πŸ›ˆ

debug

print surrounding boxes for some structures πŸ›ˆ

labels

label the parts (where available)

reference

print reference rectangle with given length (in mm)(zero to disable) πŸ›ˆ

inner_corners

style for inner corners πŸ›ˆ

burn

burn correction (in mm)(bigger values for tighter fit) πŸ›ˆ


Adding '0:' at the start of the sy parameter adds a slot at the very back. Adding ':0' at the end of sy adds a slot meeting the bottom at the very front. This is especially useful if slot angle is set above zero.